function w=leftscal(x,y);
  ## w=LEFTSCAL(x,y) behaves like w=diag(x)*y

  [n,m]=size(x);
  [p,q]=size(y);

  if n~=1 & m~=1 
    error('first argument must be a vector')
  end

  if max(n,m)~=p
    error('inner dimensions don''t coincide')
  end

  xx=x;
  if m>n
    xx=xx.';
  end

  w=zeros(p,q);
  if p>q
    for k=1:q
      w(:,k)=xx.*y(:,k);
    end
  else
    for k=1:p
      w(k,:)=xx(k)*y(k,:);
    end
  end
endfunction

