global n h
## Solve the Poisson equation: laplace(phi) = 1 in the unit square
## (|x,y|<=1) with homogeneous boundary conditions: phi=0 on the
## boundary 

## Number of divisions along x and y
n=50;

h=1/n;
b=-ones((n-1)^2,1);
x0=rand(size(b));
[x,rhist]= cg('laplacian',b,0*x0,'identity','tol=1e-100; nitmax=600; true_res=1;');
Phi=zeros(n+1);
Phi(2:n,2:n)=reshape(x,n-1,n-1);

## The maximum value attained at the center can be computed by
## separation of variables in the form of a closed sum and is
## approx. 0.073671 
max(max(-Phi))
